Bug 128510 - Driver for network chipset 3Com 3C920B-EMB-WNM
Driver for network chipset 3Com 3C920B-EMB-WNM
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-23 16:36 EDT by Anders Lloyd
Modified: 2015-01-04 17:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:15:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My updated version of the driver file (104.77 KB, text/plain)
2004-07-23 16:44 EDT, Anders Lloyd
no flags Details
The original driver file (101.69 KB, text/plain)
2004-07-23 16:46 EDT, Anders Lloyd
no flags Details

  None (edit)
Description Anders Lloyd 2004-07-23 16:36:14 EDT
Description of problem:

I didn't get the network to work on my ASUS Pundit-R that use the 3Com
3C920B-EMB-WNM chipset. After some detective work I found a soulution
on the internet. Re-compiled the kernel and now it is working ok.

Version-Release number of selected component (if applicable):

I use kernel version 2.6.7 together with Fedora 2 (original kernel has
the same problem). The file I have updated is 3c59x.c (file version
LK1.1.19 10 Nov 2002). It looks like there are a fix in the driver
file for this problem but is not working without my modifications.

How reproducible:

Use the unmodified/modified driver on a ASUS Pundit-R.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anders Lloyd 2004-07-23 16:44:40 EDT
Created attachment 102185 [details]
My updated version of the driver file

I have only modified two lines in this file.
Comment 2 Anders Lloyd 2004-07-23 16:46:52 EDT
Created attachment 102186 [details]
The original driver file

This file is part of linux kernel version 2.6.7
Comment 3 Robert Scheck 2004-09-06 11:22:36 EDT
*gna* Anders, could you *please* provide a "diff -Naur" between the 
original and your modified version? A diff between attachment #102185 [details] 
and #102186 doesn't show really what's up...so "@@ -1,3156 +1,3156 @@" 
from the diff I did with your files didn't absolutely help me. All 
lines are first removed and then added...where's the real change? :)
Comment 4 Anders Lloyd 2004-09-09 20:15:47 EDT
I did the diff with the attached files and they mess up diff
completely (they did pass through a windows machine on the way, that’s
probably why ;-). I have run your suggested command (diff -Naur
3c59x.c.org 3c59x.c) and here is the result:

--- 3c59x.c.org	2004-07-12 01:29:17.000000000 +0200
+++ 3c59x.c	2004-07-12 01:34:54.000000000 +0200
@@ -569,7 +569,7 @@
 	{"3c905B-T4",
 	 PCI_USES_IO|PCI_USES_MASTER,
IS_CYCLONE|HAS_NWAY|HAS_HWCKSM|EXTRA_PREAMBLE, 128, },
 	{"3c920B-EMB-WNM Tornado",
-	 PCI_USES_IO|PCI_USES_MASTER, IS_TORNADO|HAS_NWAY|HAS_HWCKSM, 128, },
+	 PCI_USES_IO|PCI_USES_MASTER, IS_TORNADO|HAS_MII|HAS_HWCKSM, 128, },
 
 	{0,}, /* 0 terminated list. */
 };
@@ -619,7 +619,7 @@
 	{ 0x10B7, 0x1202, PCI_ANY_ID, PCI_ANY_ID, 0, 0, CH_3C982B },
 
 	{ 0x10B7, 0x9056, PCI_ANY_ID, PCI_ANY_ID, 0, 0, CH_905BT4 },
-	{ 0x10B7, 0x9210, PCI_ANY_ID, PCI_ANY_ID, 0, 0, CH_920B_EMB_WNM },
+	{ 0x10B7, 0x9202, PCI_ANY_ID, PCI_ANY_ID, 0, 0, CH_920B_EMB_WNM },
 
 	{0,}						/* 0 terminated list. */
 };

.c is the mofified file and .c.org is the original file from kernel
2.6.7. If you need me to send you the files again just tell me...

- Anders

PS. If you run diff with option --strip-trailing-cr it will work on
the attached files.
Comment 5 Dave Jones 2005-04-16 00:15:14 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.